/*
 * abaddri.h - client application interface for abaddrd server
 *
 * Copyright (C) 2008 Taiji Yamada <taiji@aihara.co.jp>
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Affero General Public License for more details.
 */
#ifndef _abaddri_h_
#define _abaddri_h_
#if defined(USE_ABADDRC_SESSION)
#include "abaddr.h"

int abaddrc_init(CLIENT **session, char *host, char **stat_msg);
int abaddrc_req_serv(CLIENT *clnt,
		     int rq,
		     char **stat_msg);
int abaddrc_addr_set(CLIENT *clnt,
		     int af, const void *s, const void *e, int rc, long lt, const char *c,
		     char **stat_msg);
int abaddrc_addr_get(CLIENT *clnt,
		     int af, const void *s, const void *e,
		     int *f, int *rc, char **stat_msg);
int abaddrc_term(CLIENT *clnt, char **stat_msg);
#endif

int abaddr_req_serv(char *host, char *file,
		    int rq, int argc, char *argv[],
		    char **stat_msg);
int abaddr_addr_set(char *host, char *file,
		    int af, const void *s, const void *e, int rc, long lt, const char *c,
		    char **stat_msg);
int abaddr_addr_get(char *host, char *file,
		    int af, const void *s, const void *e,
		    int *f, int *rc, char **stat_msg);
#endif
